QA@IT

sprockets-rails 2.2.3 でのエラーについて

4208 PV

sprockets-rails が 2.2.2 から 2.2.3 にあがったら jquery-ui-rails との組み合わせで以下のエラーが出るようになってしまいました。

Asset filtered out and will not be served: add `Rails.application.config.assets.precompile += %w( jquery-ui/ui-bg_flat_75_ffffff_40x100.png )` to `config/initializers/assets.rb` and restart your server

sprockets-rails の差分をみても影響しそうな変更はなさそうにみえたのですが、何が影響しているのでしょうか?

エラー自体は config/initializers/assets.rbRails.application.config.assets.precompile += %w( jquery-ui/*.png ) を追加すれば直るようなのですが、これで良いのでしょうか?

サンプルアプリは https://github.com/znz/sprockets-rails-error-example で、バージョンは

  • ruby 2.1.5
  • rails 4.1.9
  • jquery-ui-rails 5.0.3
  • sprockets-rails 2.2.3

です。

回答

ウォッチ

この質問への回答やコメントをメールでお知らせします。